ONVIF::PTZ::Types::ClassDescriptorExtension(3)

NAME
ONVIF::PTZ::Types::ClassDescriptorExtension

DESCRIPTION
Perl data type class for the XML Schema defined complexType ClassDescriptorExtension from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   OtherTypes

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::PTZ::Types::ClassDescriptorExtension
   OtherTypes =>  { # ONVIF::PTZ::Types::OtherType
     Type =>  $some_value, # string
     Likelihood =>  $some_value, # float
   },
   Extension =>  { # ONVIF::PTZ::Types::ClassDescriptorExtension2
   },
 },

AUTHOR
Generated by SOAP::WSDL